<p-panel header="Laporan Stok Barang Jadi" [toggleable]="false">
    <div>
        <div style="margin-top: 10px; width: 100%;">
            <div>
                <div>

                    <p-accordion>
                        <p-accordionTab header="Filter" [selected]="true">
                            <div class="row">
                                <div class="ui-g-12">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <div class="ui-g-4">
                                                <label class="form-control-label" for="field_PIC">Tanggal</label>
                                            </div>
                                            <div class="ui-g-8">
                                                <p-calendar inputId="field_dtthru" name="input_dtthru" [disabled]="true"
                                                    [(ngModel)]="dtthru" dateFormat="dd-MM-yy" [monthNavigator]="true"
                                                    [yearNavigator]="true" yearRange="2000:2999" appendTo="body">
                                                </p-calendar>
                                        </div>
                                        <div class="form-group">
                                            <div class="ui-g-4">
                                                <label class="form-control-label" for="field_mail">Satuan</label>
                                            </div>
                                            <div class="ui-g-8">
                                                <p-dropdown [options]="statuses" [(ngModel)]="selectedStatus"
                                                    id="field_status" [style]="{'width':'100%'}">
                                                </p-dropdown>
                                            </div>
                                        </div>
                                        <div class="ui-g-6">
                                            <div class="form-group">
                                                <label for="field_KdBarang">Kode Produk</label>
                                                <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                                    (completeMethod)="filterBarangSingle($event)" [size]="32" name="KdBarangs"
                                                    [minLength]="1" [filter]="true" filterBy="label" field="kd_produk"
                                                    placeholder="Please Select Or Insert" [dropdown]="true" (onSelect)="selectBarang(true)">
                                                </p-autoComplete>
                                            </div>
                                        </div>
                                        <div class="ui-g-6">
                                            <div class="form-group">
                                                <label for="field_barang">Nama Produk</label>
                                                <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                                    (completeMethod)="filterBarangSingle($event)" [size]="32" name="barangs" [minLength]="1"
                                                    field="nm_produk" placeholder="Please Select Or Insert" [dropdown]="true"
                                                    (onSelect)="selectBarang(true)"></p-autoComplete>
                                            </div>
                                        </div>
                                        <div class="ui-g-12 form-group">
                                            <button pButton type="submit" label="Filter" icon="fa-filter"
                                                class="ui-button-primary flat-label-button" (click)="filter()">
                                            </button>
                                            <button pButton label="Reset Filter" icon="fa-refresh"
                                                class="ui-button-primary flat-label-button" (click)="reset()">
                                            </button>
                                            <button pButton label="Download" icon="fa-cogs"
                                            class="ui-button-primary flat-label-button" (click)="export()">
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </p-accordionTab>
                    </p-accordion>
                    <p-dataTable [value]="datas" dataKey="kd_produk" name="table" #table class="table">
                        <p-header>
                            
                        </p-header>
                        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                {{rowIndex + 1}}
                            </ng-template>
                        </p-column>
                        <p-column header="Kode Produk">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.kd_group}} - {{rowData.kd_produk}}
                            </ng-template>
                        </p-column>
                        <p-column header="Nama Produk">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.nm_produk}}
                            </ng-template>
                        </p-column>
                        <p-column header="Gudang Intransit">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.intransit | number:'1.0-2'}}
                            </ng-template>
                        </p-column>
                        <!-- <p-column header="Gudang Online">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.online | number:'1.0-2'}}
                            </ng-template>
                        </p-column> -->
                        <p-column header="Karantina (Gudang SBS V)">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.karantina | number:'1.0-2'}}
                            </ng-template>
                        </p-column>
                        <p-column header="Rilis (Gudang SBS V)">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.masuk | number:'1.0-2'}}
                            </ng-template>
                        </p-column>
                        <p-column header="Total (Gudang SBS V)">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.masuk +  rowData.karantina| number:'1.0-2'}}
                            </ng-template>
                        </p-column>
                        <!-- <p-column header="Sisa Booking Stock">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.booking_1| number:'1.0-2'}}
                            </ng-template>
                        </p-column>
                        <p-column header="Stock SBS V - Sisa Booking Stock">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{(rowData.masuk + rowData.karantina) - rowData.booking_1| number:'1.0-2'}}
                            </ng-template>
                        </p-column> -->
                    </p-dataTable>
                </div>
            </div>
        </div>
    </div>
    <div>
    </div>
    <div style="margin-bottom: 300px;"></div>
</p-panel>
<p-confirmDialog></p-confirmDialog>